<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body class="body-login">
<!-- Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/><br/><br/><br/>
<!--Logic-->
<form action="#" th:action="@{/users/{id}/changePassword(id=${userId})}" th:object="${password}" method="post">
    <div class="container">
        <div class="row">
            <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
                <div class="card border-0 shadow rounded-3 my-5">
                    <div class="card-body p-4 p-sm-5">
                        <h5 class="card-title text-center mb-5 fw-light fs-5">Change Password</h5>
                        <form>
                            <div class="form-floating mb-3">
                                <input type="text" th:field="*{oldPassword}" class="form-control" id="floatingInput"
                                       th:placeholder="'Old Password'">
                                <label for="floatingInput">Old Password</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="password" th:field="*{password}" class="form-control" id="floatingPassword"
                                       th:placeholder="'New Password'">
                                <label for="floatingPassword">New Password</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="password" th:field="*{confirmPassword}" class="form-control"
                                       id="floatingPasswordConfirm"
                                       th:placeholder="'Confirm Password'">
                                <label for="floatingPassword">Confirm Password</label>
                            </div>
                            <!--                            <label class="error" style="color: #ff2c00" th:errors="*{username}">Error-->
                            <!--                                placeholder</label>-->

                            <div class="d-grid">
                                <button class="btn btn-secondary btn-login text-uppercase fw-bold" type="submit">
                                    Update
                                </button>
                            </div>
                            </br>
                            <hr class="my-4">

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
</body>
</html>